<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:07 AEST 2019 -->
<title>EllipsoidRegionSelector (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="EllipsoidRegionSelector (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/regions/selector/CylinderRegionSelector.html" title="class in com.sk89q.worldedit.regions.selector"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/regions/selector/ExtendingCuboidRegionSelector.html" title="class in com.sk89q.worldedit.regions.selector"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html" target="_top">Frames</a></li>
<li><a href="EllipsoidRegionSelector.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.regions.selector</div>
<h2 title="Class EllipsoidRegionSelector" class="title">Class EllipsoidRegionSelector</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.regions.selector.EllipsoidRegionSelector</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/internal/cui/CUIRegion.html" title="interface in com.sk89q.worldedit.internal.cui">CUIRegion</a>, <a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html" title="interface in com.sk89q.worldedit.regions">RegionSelector</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/regions/selector/SphereRegionSelector.html" title="class in com.sk89q.worldedit.regions.selector">SphereRegionSelector</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">EllipsoidRegionSelector</span>
extends java.lang.Object
implements <a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html" title="interface in com.sk89q.worldedit.regions">RegionSelector</a>, <a href="../../../../../com/sk89q/worldedit/internal/cui/CUIRegion.html" title="interface in com.sk89q.worldedit.internal.cui">CUIRegion</a></pre>
<div class="block">Creates a <code>EllipsoidRegionSelector</code> from a user's selections.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../com/sk89q/worldedit/regions/EllipsoidRegion.html" title="class in com.sk89q.worldedit.regions">EllipsoidRegion</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#region">region</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#started">started</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#EllipsoidRegionSelector--">EllipsoidRegionSelector</a></span>()</code>
<div class="block">Create a new selector with a <code>null</code> world.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#EllipsoidRegionSelector-com.sk89q.worldedit.regions.RegionSelector-">EllipsoidRegionSelector</a></span>(<a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html" title="interface in com.sk89q.worldedit.regions">RegionSelector</a>&nbsp;oldSelector)</code>
<div class="block">Create a new selector from the given selector.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#EllipsoidRegionSelector-com.sk89q.worldedit.world.World-">EllipsoidRegionSelector</a></span>(<a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;world)</code>
<div class="block">Create a new selector.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#EllipsoidRegionSelector-com.sk89q.worldedit.world.World-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.math.Vector3-">EllipsoidRegionSelector</a></span>(<a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;world,
                       <a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;center,
                       <a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;radius)</code>
<div class="block">Create a new selector.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#clear--">clear</a></span>()</code>
<div class="block">Clear the selection.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#describeCUI-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.extension.platform.Actor-">describeCUI</a></span>(<a href="../../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
           <a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;player)</code>
<div class="block">Sends CUI events describing the region for
 versions of CUI equal to or greater than the
 value supplied by getProtocolVersion().</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#describeLegacyCUI-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.extension.platform.Actor-">describeLegacyCUI</a></span>(<a href="../../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                 <a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;player)</code>
<div class="block">Sends CUI events describing the region for
 versions of CUI smaller than the value 
 supplied by getProtocolVersion().</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#explainPrimarySelection-com.sk89q.worldedit.extension.platform.Actor-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.math.BlockVector3-">explainPrimarySelection</a></span>(<a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;player,
                       <a href="../../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                       <a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;pos)</code>
<div class="block">Tell the player information about his/her primary selection.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#explainRegionAdjust-com.sk89q.worldedit.extension.platform.Actor-com.sk89q.worldedit.LocalSession-">explainRegionAdjust</a></span>(<a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;player,
                   <a href="../../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session)</code>
<div class="block">The the player information about the region's changes.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#explainSecondarySelection-com.sk89q.worldedit.extension.platform.Actor-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.math.BlockVector3-">explainSecondarySelection</a></span>(<a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;player,
                         <a href="../../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                         <a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;pos)</code>
<div class="block">Tell the player information about his/her secondary selection.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#getArea--">getArea</a></span>()</code>
<div class="block">Get the number of blocks inside the region.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/regions/EllipsoidRegion.html" title="class in com.sk89q.worldedit.regions">EllipsoidRegion</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#getIncompleteRegion--">getIncompleteRegion</a></span>()</code>
<div class="block">Get the region even if it's not fully defined.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.util.List&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#getInformationLines--">getInformationLines</a></span>()</code>
<div class="block">Get lines of information about the selection.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#getLegacyTypeID--">getLegacyTypeID</a></span>()</code>
<div class="block">Returns the type ID to send to CUI in the selection
 event if the CUI is in legacy mode.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#getPrimaryPosition--">getPrimaryPosition</a></span>()</code>
<div class="block">Get the primary position.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#getProtocolVersion--">getProtocolVersion</a></span>()</code>
<div class="block">Returns the CUI version that is required to send
 up-to-date data.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/regions/EllipsoidRegion.html" title="class in com.sk89q.worldedit.regions">EllipsoidRegion</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#getRegion--">getRegion</a></span>()</code>
<div class="block">Get the selection.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#getTypeID--">getTypeID</a></span>()</code>
<div class="block">Returns the type ID to send to CUI in the selection event.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#getTypeName--">getTypeName</a></span>()</code>
<div class="block">Get a lowercase name of this region selector type.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#getWorld--">getWorld</a></span>()</code>
<div class="block">Get the world for the region selector.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#isDefined--">isDefined</a></span>()</code>
<div class="block">Returns whether the region has been fully defined.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#learnChanges--">learnChanges</a></span>()</code>
<div class="block">Update the selector with changes to the region.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#selectPrimary-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.regions.selector.limit.SelectorLimits-">selectPrimary</a></span>(<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position,
             <a href="../../../../../com/sk89q/worldedit/regions/selector/limit/SelectorLimits.html" title="interface in com.sk89q.worldedit.regions.selector.limit">SelectorLimits</a>&nbsp;limits)</code>
<div class="block">Called when the first point is selected.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#selectSecondary-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.regions.selector.limit.SelectorLimits-">selectSecondary</a></span>(<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position,
               <a href="../../../../../com/sk89q/worldedit/regions/selector/limit/SelectorLimits.html" title="interface in com.sk89q.worldedit.regions.selector.limit">SelectorLimits</a>&nbsp;limits)</code>
<div class="block">Called when the second point is selected.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html#setWorld-com.sk89q.worldedit.world.World-">setWorld</a></span>(<a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;world)</code>
<div class="block">Set the world for the region selector.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="region">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>region</h4>
<pre>protected transient&nbsp;<a href="../../../../../com/sk89q/worldedit/regions/EllipsoidRegion.html" title="class in com.sk89q.worldedit.regions">EllipsoidRegion</a> region</pre>
</li>
</ul>
<a name="started">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>started</h4>
<pre>protected transient&nbsp;boolean started</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="EllipsoidRegionSelector--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EllipsoidRegionSelector</h4>
<pre>public&nbsp;EllipsoidRegionSelector()</pre>
<div class="block">Create a new selector with a <code>null</code> world.</div>
</li>
</ul>
<a name="EllipsoidRegionSelector-com.sk89q.worldedit.world.World-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EllipsoidRegionSelector</h4>
<pre>public&nbsp;EllipsoidRegionSelector(@Nullable
                               <a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;world)</pre>
<div class="block">Create a new selector.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>world</code> - the world, which may be <code>null</code></dd>
</dl>
</li>
</ul>
<a name="EllipsoidRegionSelector-com.sk89q.worldedit.regions.RegionSelector-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EllipsoidRegionSelector</h4>
<pre>public&nbsp;EllipsoidRegionSelector(<a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html" title="interface in com.sk89q.worldedit.regions">RegionSelector</a>&nbsp;oldSelector)</pre>
<div class="block">Create a new selector from the given selector.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>oldSelector</code> - the old selector</dd>
</dl>
</li>
</ul>
<a name="EllipsoidRegionSelector-com.sk89q.worldedit.world.World-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.math.Vector3-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>EllipsoidRegionSelector</h4>
<pre>public&nbsp;EllipsoidRegionSelector(@Nullable
                               <a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;world,
                               <a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;center,
                               <a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;radius)</pre>
<div class="block">Create a new selector.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>world</code> - the world</dd>
<dd><code>center</code> - the center</dd>
<dd><code>radius</code> - the radius</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getWorld--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWorld</h4>
<pre>@Nullable
public&nbsp;<a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;getWorld()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html#getWorld--">RegionSelector</a></code></span></div>
<div class="block">Get the world for the region selector.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html#getWorld--">getWorld</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html" title="interface in com.sk89q.worldedit.regions">RegionSelector</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a world, which may be null</dd>
</dl>
</li>
</ul>
<a name="setWorld-com.sk89q.worldedit.world.World-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWorld</h4>
<pre>public&nbsp;void&nbsp;setWorld(@Nullable
                     <a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;world)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html#setWorld-com.sk89q.worldedit.world.World-">RegionSelector</a></code></span></div>
<div class="block">Set the world for the region selector.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html#setWorld-com.sk89q.worldedit.world.World-">setWorld</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html" title="interface in com.sk89q.worldedit.regions">RegionSelector</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>world</code> - the world, which may be null</dd>
</dl>
</li>
</ul>
<a name="selectPrimary-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.regions.selector.limit.SelectorLimits-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectPrimary</h4>
<pre>public&nbsp;boolean&nbsp;selectPrimary(<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position,
                             <a href="../../../../../com/sk89q/worldedit/regions/selector/limit/SelectorLimits.html" title="interface in com.sk89q.worldedit.regions.selector.limit">SelectorLimits</a>&nbsp;limits)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html#selectPrimary-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.regions.selector.limit.SelectorLimits-">RegionSelector</a></code></span></div>
<div class="block">Called when the first point is selected.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html#selectPrimary-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.regions.selector.limit.SelectorLimits-">selectPrimary</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html" title="interface in com.sk89q.worldedit.regions">RegionSelector</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - the position</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if something changed</dd>
</dl>
</li>
</ul>
<a name="selectSecondary-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.regions.selector.limit.SelectorLimits-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectSecondary</h4>
<pre>public&nbsp;boolean&nbsp;selectSecondary(<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position,
                               <a href="../../../../../com/sk89q/worldedit/regions/selector/limit/SelectorLimits.html" title="interface in com.sk89q.worldedit.regions.selector.limit">SelectorLimits</a>&nbsp;limits)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html#selectSecondary-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.regions.selector.limit.SelectorLimits-">RegionSelector</a></code></span></div>
<div class="block">Called when the second point is selected.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html#selectSecondary-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.regions.selector.limit.SelectorLimits-">selectSecondary</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html" title="interface in com.sk89q.worldedit.regions">RegionSelector</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - the position</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if something changed</dd>
</dl>
</li>
</ul>
<a name="explainPrimarySelection-com.sk89q.worldedit.extension.platform.Actor-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.math.BlockVector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>explainPrimarySelection</h4>
<pre>public&nbsp;void&nbsp;explainPrimarySelection(<a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;player,
                                    <a href="../../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                                    <a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;pos)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html#explainPrimarySelection-com.sk89q.worldedit.extension.platform.Actor-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.math.BlockVector3-">RegionSelector</a></code></span></div>
<div class="block">Tell the player information about his/her primary selection.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html#explainPrimarySelection-com.sk89q.worldedit.extension.platform.Actor-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.math.BlockVector3-">explainPrimarySelection</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html" title="interface in com.sk89q.worldedit.regions">RegionSelector</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>player</code> - the actor</dd>
<dd><code>session</code> - the session</dd>
<dd><code>pos</code> - position</dd>
</dl>
</li>
</ul>
<a name="explainSecondarySelection-com.sk89q.worldedit.extension.platform.Actor-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.math.BlockVector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>explainSecondarySelection</h4>
<pre>public&nbsp;void&nbsp;explainSecondarySelection(<a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;player,
                                      <a href="../../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                                      <a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;pos)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html#explainSecondarySelection-com.sk89q.worldedit.extension.platform.Actor-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.math.BlockVector3-">RegionSelector</a></code></span></div>
<div class="block">Tell the player information about his/her secondary selection.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html#explainSecondarySelection-com.sk89q.worldedit.extension.platform.Actor-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.math.BlockVector3-">explainSecondarySelection</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html" title="interface in com.sk89q.worldedit.regions">RegionSelector</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>player</code> - the actor</dd>
<dd><code>session</code> - the session</dd>
<dd><code>pos</code> - position</dd>
</dl>
</li>
</ul>
<a name="explainRegionAdjust-com.sk89q.worldedit.extension.platform.Actor-com.sk89q.worldedit.LocalSession-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>explainRegionAdjust</h4>
<pre>public&nbsp;void&nbsp;explainRegionAdjust(<a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;player,
                                <a href="../../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html#explainRegionAdjust-com.sk89q.worldedit.extension.platform.Actor-com.sk89q.worldedit.LocalSession-">RegionSelector</a></code></span></div>
<div class="block">The the player information about the region's changes. This may resend
 all the defining region information if needed.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html#explainRegionAdjust-com.sk89q.worldedit.extension.platform.Actor-com.sk89q.worldedit.LocalSession-">explainRegionAdjust</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html" title="interface in com.sk89q.worldedit.regions">RegionSelector</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>player</code> - the actor</dd>
<dd><code>session</code> - the session</dd>
</dl>
</li>
</ul>
<a name="isDefined--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isDefined</h4>
<pre>public&nbsp;boolean&nbsp;isDefined()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html#isDefined--">RegionSelector</a></code></span></div>
<div class="block">Returns whether the region has been fully defined.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html#isDefined--">isDefined</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html" title="interface in com.sk89q.worldedit.regions">RegionSelector</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if a selection is available</dd>
</dl>
</li>
</ul>
<a name="getRegion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRegion</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/regions/EllipsoidRegion.html" title="class in com.sk89q.worldedit.regions">EllipsoidRegion</a>&nbsp;getRegion()
                          throws <a href="../../../../../com/sk89q/worldedit/IncompleteRegionException.html" title="class in com.sk89q.worldedit">IncompleteRegionException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html#getRegion--">RegionSelector</a></code></span></div>
<div class="block">Get the selection.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html#getRegion--">getRegion</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html" title="interface in com.sk89q.worldedit.regions">RegionSelector</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the created region</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/IncompleteRegionException.html" title="class in com.sk89q.worldedit">IncompleteRegionException</a></code> - thrown if a region has not been fully defined</dd>
</dl>
</li>
</ul>
<a name="getIncompleteRegion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIncompleteRegion</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/regions/EllipsoidRegion.html" title="class in com.sk89q.worldedit.regions">EllipsoidRegion</a>&nbsp;getIncompleteRegion()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html#getIncompleteRegion--">RegionSelector</a></code></span></div>
<div class="block">Get the region even if it's not fully defined.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html#getIncompleteRegion--">getIncompleteRegion</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html" title="interface in com.sk89q.worldedit.regions">RegionSelector</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an incomplete region object that is incomplete</dd>
</dl>
</li>
</ul>
<a name="learnChanges--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>learnChanges</h4>
<pre>public&nbsp;void&nbsp;learnChanges()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html#learnChanges--">RegionSelector</a></code></span></div>
<div class="block">Update the selector with changes to the region.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html#learnChanges--">learnChanges</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html" title="interface in com.sk89q.worldedit.regions">RegionSelector</a></code></dd>
</dl>
</li>
</ul>
<a name="clear--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clear</h4>
<pre>public&nbsp;void&nbsp;clear()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html#clear--">RegionSelector</a></code></span></div>
<div class="block">Clear the selection.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html#clear--">clear</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html" title="interface in com.sk89q.worldedit.regions">RegionSelector</a></code></dd>
</dl>
</li>
</ul>
<a name="getTypeName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTypeName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getTypeName()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html#getTypeName--">RegionSelector</a></code></span></div>
<div class="block">Get a lowercase name of this region selector type.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html#getTypeName--">getTypeName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html" title="interface in com.sk89q.worldedit.regions">RegionSelector</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a lower case name of the type</dd>
</dl>
</li>
</ul>
<a name="getInformationLines--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInformationLines</h4>
<pre>public&nbsp;java.util.List&lt;java.lang.String&gt;&nbsp;getInformationLines()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html#getInformationLines--">RegionSelector</a></code></span></div>
<div class="block">Get lines of information about the selection.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html#getInformationLines--">getInformationLines</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html" title="interface in com.sk89q.worldedit.regions">RegionSelector</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a list of lines describing the region</dd>
</dl>
</li>
</ul>
<a name="getArea--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArea</h4>
<pre>public&nbsp;int&nbsp;getArea()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html#getArea--">RegionSelector</a></code></span></div>
<div class="block">Get the number of blocks inside the region.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html#getArea--">getArea</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html" title="interface in com.sk89q.worldedit.regions">RegionSelector</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>number of blocks, or -1 if undefined</dd>
</dl>
</li>
</ul>
<a name="describeCUI-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.extension.platform.Actor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>describeCUI</h4>
<pre>public&nbsp;void&nbsp;describeCUI(<a href="../../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                        <a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;player)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/internal/cui/CUIRegion.html#describeCUI-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.extension.platform.Actor-">CUIRegion</a></code></span></div>
<div class="block">Sends CUI events describing the region for
 versions of CUI equal to or greater than the
 value supplied by getProtocolVersion().</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/internal/cui/CUIRegion.html#describeCUI-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.extension.platform.Actor-">describeCUI</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/internal/cui/CUIRegion.html" title="interface in com.sk89q.worldedit.internal.cui">CUIRegion</a></code></dd>
</dl>
</li>
</ul>
<a name="describeLegacyCUI-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.extension.platform.Actor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>describeLegacyCUI</h4>
<pre>public&nbsp;void&nbsp;describeLegacyCUI(<a href="../../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                              <a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;player)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/internal/cui/CUIRegion.html#describeLegacyCUI-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.extension.platform.Actor-">CUIRegion</a></code></span></div>
<div class="block">Sends CUI events describing the region for
 versions of CUI smaller than the value 
 supplied by getProtocolVersion().</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/internal/cui/CUIRegion.html#describeLegacyCUI-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.extension.platform.Actor-">describeLegacyCUI</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/internal/cui/CUIRegion.html" title="interface in com.sk89q.worldedit.internal.cui">CUIRegion</a></code></dd>
</dl>
</li>
</ul>
<a name="getLegacyTypeID--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLegacyTypeID</h4>
<pre>public&nbsp;java.lang.String&nbsp;getLegacyTypeID()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/internal/cui/CUIRegion.html#getLegacyTypeID--">CUIRegion</a></code></span></div>
<div class="block">Returns the type ID to send to CUI in the selection
 event if the CUI is in legacy mode.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/internal/cui/CUIRegion.html#getLegacyTypeID--">getLegacyTypeID</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/internal/cui/CUIRegion.html" title="interface in com.sk89q.worldedit.internal.cui">CUIRegion</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the legacy type ID</dd>
</dl>
</li>
</ul>
<a name="getProtocolVersion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProtocolVersion</h4>
<pre>public&nbsp;int&nbsp;getProtocolVersion()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/internal/cui/CUIRegion.html#getProtocolVersion--">CUIRegion</a></code></span></div>
<div class="block">Returns the CUI version that is required to send
 up-to-date data. If the CUI version is smaller than
 this value, the legacy methods will be called.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/internal/cui/CUIRegion.html#getProtocolVersion--">getProtocolVersion</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/internal/cui/CUIRegion.html" title="interface in com.sk89q.worldedit.internal.cui">CUIRegion</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the protocol version</dd>
</dl>
</li>
</ul>
<a name="getTypeID--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTypeID</h4>
<pre>public&nbsp;java.lang.String&nbsp;getTypeID()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/internal/cui/CUIRegion.html#getTypeID--">CUIRegion</a></code></span></div>
<div class="block">Returns the type ID to send to CUI in the selection event.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/internal/cui/CUIRegion.html#getTypeID--">getTypeID</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/internal/cui/CUIRegion.html" title="interface in com.sk89q.worldedit.internal.cui">CUIRegion</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the type ID</dd>
</dl>
</li>
</ul>
<a name="getPrimaryPosition--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getPrimaryPosition</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;getPrimaryPosition()
                                throws <a href="../../../../../com/sk89q/worldedit/IncompleteRegionException.html" title="class in com.sk89q.worldedit">IncompleteRegionException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html#getPrimaryPosition--">RegionSelector</a></code></span></div>
<div class="block">Get the primary position.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html#getPrimaryPosition--">getPrimaryPosition</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/regions/RegionSelector.html" title="interface in com.sk89q.worldedit.regions">RegionSelector</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the primary position</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/IncompleteRegionException.html" title="class in com.sk89q.worldedit">IncompleteRegionException</a></code> - thrown if a region has not been fully defined</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/regions/selector/CylinderRegionSelector.html" title="class in com.sk89q.worldedit.regions.selector"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/regions/selector/ExtendingCuboidRegionSelector.html" title="class in com.sk89q.worldedit.regions.selector"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/regions/selector/EllipsoidRegionSelector.html" target="_top">Frames</a></li>
<li><a href="EllipsoidRegionSelector.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
